Package com.enonic.xp.audit

## Class AuditLogUris

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<AuditLogUri>
  - - com.enonic.xp.audit.AuditLogUris

- All Implemented Interfaces:
    `Iterable<AuditLogUri>`

      @PublicApi
      public final class AuditLogUris
      extends AbstractImmutableEntitySet<AuditLogUri>
      implements Iterable<AuditLogUri>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AuditLogUris.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<String>` | `asStrings()` | Deprecated.
    `static AuditLogUris.Builder` | `create()` |
    `static AuditLogUris` | `empty()` |
    `static AuditLogUris` | `from​(AuditLogUri... uris)` |
    `static AuditLogUris` | `from​(Iterable<AuditLogUri> uris)` |
    `static AuditLogUris` | `from​(String... uris)` |
    `static AuditLogUris` | `from​(Collection<String> uris)` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, equals, first, getSet, getSize, hashCode, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### empty

          public static AuditLogUris empty()

    - #### from

          public static AuditLogUris from​(AuditLogUri... uris)

    - #### from

          public static AuditLogUris from​(String... uris)

    - #### from

          public static AuditLogUris from​(Collection<String> uris)

    - #### from

          public static AuditLogUris from​(Iterable<AuditLogUri> uris)

    - #### asStrings

          @Deprecated
          public Set<String> asStrings()

      Deprecated.

    - #### create

          public static AuditLogUris.Builder create()